Skip to main content
GET
/
v1
/
incidents
/
{incident_id}
Get incident
curl --request GET \
  --url https://api.intrace.ai/v1/incidents/{incident_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "status": "open",
  "scope": "investigation",
  "threat_links": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "threat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "added_at": "2023-11-07T05:31:56Z",
      "threat": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "severity": "<string>",
        "threat_type": "<string>",
        "location": "<string>",
        "observed_at": "<string>",
        "coordinates": {
          "lat": 123,
          "lng": 123
        }
      }
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "resolved_at": "2023-11-07T05:31:56Z"
}
Returns one incident and lightweight summaries for linked threats.

Authorizations

X-API-Key
string
header
required

Path Parameters

incident_id
string<uuid>
required

Response

200 - application/json

Incident detail.

id
string<uuid>
required
title
string
required
status
enum<string>
required
Available options:
open,
closed,
resolved
scope
enum<string>
required
Available options:
investigation,
aggregate
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
started_at
string<date-time> | null
resolved_at
string<date-time> | null